# OgreTechnique.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreIteratorWrappers.h"`
`#include "OgreBlendMode.h"`
`#include "OgreCommon.h"`
`#include "OgrePass.h"`
`#include "OgreRenderSystemCapabilities.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::Technique
| Class representing an approach to rendering this particular Material. More...
struct | Ogre::Technique::GPUVendorRule
| Rule controlling whether technique is deemed supported based on GPU vendor. More...
struct | Ogre::Technique::GPUDeviceNameRule
| Rule controlling whether technique is deemed supported based on GPU device name. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:26:52 2009